from pydantic import BaseModel


class LoginRequest(BaseModel):
    account: str
    password: str


class RegisterRequest(BaseModel):
    account: str
    password: str


class ChatCreateRequest(BaseModel):
    id: str


class ChatQaRequest(BaseModel):
    chat_id: str = None
    query: str


class ChatDetailRequest(BaseModel):
    chat_id: str


class ChatDeleteRequest(BaseModel):
    chat_id: str
